From 4634ca1f8242c24632e006d7b651064a7556cc92 Mon Sep 17 00:00:00 2001
From: Julien Rische <jrische@redhat.com>
Date: Thu, 29 Jan 2026 19:05:01 +0100
Subject: [PATCH 17/21] Install xrealmauthz like other plugins

The xrealmauthz kdcpolicy plugin was merged upstream, but it is not
installed my the Makefile. The commit adds additional configuration to
install it in the krb5 modules directory when running "make install".
---
 src/Makefile.in                               | 2 +-
 src/config/pre.in                             | 1 +
 src/plugins/kdcpolicy/xrealmauthz/Makefile.in | 4 +++-
 3 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/src/config/pre.in b/src/config/pre.in
index 3724d26ae6..dbe692b251 100644
--- a/src/config/pre.in
+++ b/src/config/pre.in
@@ -220,6 +220,7 @@ MODULE_DIR = @libdir@/krb5/plugins
 KRB5_DB_MODULE_DIR = $(MODULE_DIR)/kdb
 KRB5_PA_MODULE_DIR = $(MODULE_DIR)/preauth
 KRB5_AD_MODULE_DIR = $(MODULE_DIR)/authdata
+KRB5_KP_MODULE_DIR = $(MODULE_DIR)/kdcpolicy
 KRB5_LIBKRB5_MODULE_DIR = $(MODULE_DIR)/libkrb5
 KRB5_TLS_MODULE_DIR = $(MODULE_DIR)/tls
 KRB5_LOCALEDIR = @localedir@
